Summary: Cobalt Panel Scripts
Name: panel-scripts-bto
Version: 1.0
Release: 12
Copyright: Sun Microsystems, Inc. 2002
Group: Base
Source: panel-scripts.tar.gz
BuildRoot: /tmp/buildpanel
BuildArchitectures: noarch

%description
This package contains the menu scripts for /etc/lcd.d that make up the LCD
panel menu for a build to order server

%changelog
* Tue May 07 2002 Lyle Scheer <lyle.scheer@sun.com>
	- Added a Syncronize Now menu option
	- Added an Update BTOS menu option
	- Added a PPA setup option

* Wed Mar 13 2002 Lyle Scheer <lyle.scheer@sun.com>
	- Added type to nfsroot directories

* Wed Jul 18 2001 Lyle Scheer <lyle.scheer@sun.com>
	- Added RMA, RUN-IN, and DEBUG BTOS setup scripts
	- Added /test_dir/type to other BTOS setup scripts

* Wed Feb 28 2001 Lyle Scheer <lyle.scheer@sun.com>
	- Added NTP server setup
	- Added configurable master-bto IP address
	- Added socks configuration

* Tue Jun 20 2000 Lyle Scheer <lyle@cobalt.com>
	- Made noarch

* Mon Dec 13 1999 Lyle Scheer <lyle@cobalt.com>
	- added HWBTOS burnin scripts

* Sun May 9 1999 Lyle Scheer <lyle@cobaltnet.com>
	- new

%prep
%setup -n panel-utils-pacifica

%build

%install
mkdir -p ${RPM_BUILD_ROOT}/etc/
cp -r lcd.d ${RPM_BUILD_ROOT}/etc/

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%dir /etc/lcd.d
%dir /etc/lcd.d/10main.m
%dir /etc/lcd.d/10main.m/10SETUP_NETWORK.m
%dir /etc/lcd.d/10main.m/10SETUP_NETWORK.m/10SETUP_NET1.m
%dir /etc/lcd.d/10main.m/10SETUP_NETWORK.m/10SETUP_NET1.m/10CONFIGURE.s
/etc/lcd.d/10main.m/10SETUP_NETWORK.m/10SETUP_NET1.m/10CONFIGURE.s/10bto_setup
%dir /etc/lcd.d/10main.m/15SETUP_SOCKS.m
%dir /etc/lcd.d/10main.m/15SETUP_SOCKS.m/10SET_SOCKS.s
/etc/lcd.d/10main.m/15SETUP_SOCKS.m/10SET_SOCKS.s/10socks_setup
%dir /etc/lcd.d/10main.m/15SETUP_SOCKS.m/20RESET_SOCKS.s
/etc/lcd.d/10main.m/15SETUP_SOCKS.m/20RESET_SOCKS.s/10reset_socks
%dir /etc/lcd.d/10main.m/16SET_SYNCHRONIZE.s
/etc/lcd.d/10main.m/16SET_SYNCHRONIZE.s/10bto_setup
%dir /etc/lcd.d/10main.m/17SET_NTP_SERVER.s
/etc/lcd.d/10main.m/17SET_NTP_SERVER.s/10ntp_setup
%dir /etc/lcd.d/10main.m/20REBOOT.s
/etc/lcd.d/10main.m/20REBOOT.s/10reboot
%dir /etc/lcd.d/10main.m/30POWER_DOWN.s
/etc/lcd.d/10main.m/30POWER_DOWN.s/10off
%dir /etc/lcd.d/10main.m/40RESET_NETWORK.s
/etc/lcd.d/10main.m/40RESET_NETWORK.s/10reset_net
%dir /etc/lcd.d/10main.m/49SETUP_BTOS.m
%dir /etc/lcd.d/10main.m/49SETUP_BTOS.m/10BOARD_TESTER.s
/etc/lcd.d/10main.m/49SETUP_BTOS.m/10BOARD_TESTER.s/10setup_tester
%dir /etc/lcd.d/10main.m/49SETUP_BTOS.m/20SYSTEM_TESTER.s
/etc/lcd.d/10main.m/49SETUP_BTOS.m/20SYSTEM_TESTER.s/10setup_tester
%dir /etc/lcd.d/10main.m/49SETUP_BTOS.m/30EXPERIMENTAL.s
/etc/lcd.d/10main.m/49SETUP_BTOS.m/30EXPERIMENTAL.s/10setup_tester
%dir /etc/lcd.d/10main.m/49SETUP_BTOS.m/40RMA.s
/etc/lcd.d/10main.m/49SETUP_BTOS.m/40RMA.s/10setup_tester
%dir /etc/lcd.d/10main.m/49SETUP_BTOS.m/50RUN-IN.s
/etc/lcd.d/10main.m/49SETUP_BTOS.m/50RUN-IN.s/10setup_tester
%dir /etc/lcd.d/10main.m/49SETUP_BTOS.m/60DEBUG.s
/etc/lcd.d/10main.m/49SETUP_BTOS.m/60DEBUG.s/10setup_tester
%dir /etc/lcd.d/10main.m/49SETUP_BTOS.m/70PPA.s
/etc/lcd.d/10main.m/49SETUP_BTOS.m/70PPA.s/10setup_tester
%dir /etc/lcd.d/10main.m/50UPDATE_BTOS.s
/etc/lcd.d/10main.m/50UPDATE_BTOS.s/10update
%dir /etc/lcd.d/10main.m/55SYNCHRONIZE_BTOS.s
/etc/lcd.d/10main.m/55SYNCHRONIZE_BTOS.s/10sync
%dir /etc/lcd.d/10main.m/60SELECT_LANGUAGE.m
%dir /etc/lcd.d/10main.m/60SELECT_LANGUAGE.m/10ENGLISH.s
/etc/lcd.d/10main.m/60SELECT_LANGUAGE.m/10ENGLISH.s/10select_english
%dir /etc/lcd.d/10main.m/60SELECT_LANGUAGE.m/20JAPANESE.s
/etc/lcd.d/10main.m/60SELECT_LANGUAGE.m/20JAPANESE.s/10select_japanese
%dir /etc/lcd.d/10main.m/999EXIT.s
/etc/lcd.d/10main.m/999EXIT.s/10exit
/etc/lcd.d/button_list
